# Cellular IoT Fundamentals Course Exercises
This repository is part of the [Cellular IoT Fundamentals](https://academy.nordicsemi.com/courses/cellular-iot-fundamentals/) course by [Nordic Developer Academy](https://academy.nordicsemi.com).

The Cellular IoT Fundamentals course is a self-paced hands-on online course focusing on learning the essentials of cellular IoT application development using the highly extensible and feature-rich [nRF Connect SDK](https://www.nordicsemi.com/Products/Development-software/nrf-connect-sdk). 

In the  course, we will study the cellular technologies LTE-M and NB-IoT. We will examine in-depth the software architecture of a cellular IoT firmware and go over the [nRF91 Series](https://www.nordicsemi.com/Products/Wireless/Low-power-cellular-IoT/Products?lang=en#infotabs) hardware.  

This repository contains the exercise code base and solutions. Make sure to select the directory that corresponds with the nRF Connect SDK version of your choosing:

 - <code>v2.2.0-v2.3.0</code>: For nRF Connect SDK versions v2.2.0 to v2.3.0
 - <code>v2.4.0-v2.x.x</code>: For nRF Connect SDK versions v2.4.0 and all subsequent versions


The course supports the following hardware:
 - [nRF9161 DK](https://www.nordicsemi.com/Products/Development-hardware/nRF9161-DK) (only with nRF Connect SDK v2.5.0 and up)
 - [nRF9160 DK](https://www.nordicsemi.com/Products/Development-hardware/nRF9160-DK)
 - [Thingy:91](https://www.nordicsemi.com/Products/Development-hardware/Nordic-Thingy-91)
